<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Calling Simple Web Service</title>

    <script language="javascript" type="text/javascript">
// <!CDATA[

function btnAddInt_onclick() {
    var int1 = $('int1').value;
    var int2 = $('int2').value;
    SimpleWebService.AddInt(int1, int2, onAddIntComplete);
}
function onAddIntComplete(result) {
    $('btnAddInt').value = result;
}

function btnAddComplex_onclick() {
    var cplx1 = {Real: $('cplx1r').value, Imag: $('cplx1i').value};
    var cplx2 = {Real: $('cplx2r').value, Imag: $('cplx2i').value};
    SimpleWebService.AddComplexNumber(cplx1, cplx2, onAddComplextNumberComplete);
}
function onAddComplextNumberComplete(result) {
    $('btnAddComplex').value = result.Real.toString() + ' + ' + result.Imag.toString() + 'i';
} 

// ]]>
    </script>

</head>
<body>
    <form id="form1" runat="server">
        <atlas:ScriptManager ID="ScriptManager1" runat="server">
            <Services>
                <atlas:ServiceReference Path="SimpleWebService.asmx" />
            </Services>
        </atlas:ScriptManager>
        <div>
            Pass simple type to web service - add the two integers:<br />
            <input id="int1" type="text" value="1" size="3" />+
            <input id="int2" type="text" value="2" size="3" />=
            <input id="btnAddInt" type="button" value="?" onclick="return btnAddInt_onclick()" /><br />
            <br />
            Pass complex type to web service - add the two complex numbers:<br />
            (<input id="cplx1r" type="text" value="1" size="3" />+
            <input id="cplx1i" type="text" value="2" size="3" />i) + (
            <input id="cplx2r" type="text" value="3" size="3" />+
            <input id="cplx2i" type="text" value="4" size="3" />i) = &nbsp;
            <input id="btnAddComplex" type="button" value="?" onclick="return btnAddComplex_onclick()" />
        </div>
    </form>

    <script type="text/xml-script">
        <page xmlns:script="http://schemas.microsoft.com/xml-script/2005">
            <references>
            </references>
            <components>
            </components>
        </page>
    </script>

</body>
</html>
